@echo off
rem ****************************************************** {COPYRIGHT-TOP} ***
rem Licensed Materials - Property of IBM
rem 5724-M07, 5698-A77
rem
rem (C) Copyright IBM Corp. 2006 All Rights Reserved.
rem
rem US Government Users Restricted Rights - Use, duplication, or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ****************************************************** {COPYRIGHT-END} ***

set JARFILE=kd4scaagent.jar
                     
:parseArgs
set IN_OR_OUT=%1

if not %2==USE_ENV_VAR goto useWASfromCmdLine
goto useWASfromENV

:useWASfromCmdLine
set KD4_WAS_HOME=%2
goto checkWASInstall
:useWASfromENV
set KD4_WAS_HOME=%WAS_HOME%
goto checkWASInstall

:checkWASInstall                  
if exist %KD4_WAS_HOME%\lib\ext goto foundWAS
if exist "%KD4_WAS_HOME%"\lib\ext goto needWASQuotes
goto NoWASInstall

:needWASQuotes
REM WAS Home needs quotes around it to work, so add them
REM in order to allow the rest of the script to work
set KD4_WAS_TEMP=%KD4_WAS_HOME%
set KD4_WAS_HOME="%KD4_WAS_TEMP%"
                                         
:foundWAS                                         
if "%IN_OR_OUT%"=="-enable" GOTO copyJar
if "%IN_OR_OUT%"=="-disable" GOTO deleteJar    
GOTO syntaxError
    
    
:copyJar
REM echo copy %INSTALLDIR%\KD4\lib\%JARFILE% %WAS_HOME%\lib\ext
copy /y "%INSTALLDIR%"\KD4\lib\%JARFILE% %KD4_WAS_HOME%\lib\ext
if "%ERRORLEVEL%"=="0" goto success
goto copyfailed

:deleteJar
REM echo del /f %WAS_HOME%\lib\ext\%JARFILE%
del /f %KD4_WAS_HOME%\lib\ext\%JARFILE%
if not exist %KD4_WAS_HOME%\lib\ext\%JARFILE% goto success
goto deletefailed

:syntaxError
set ERRORLEVEL=100
goto end

:NoWASInstall
set ERRORLEVEL=120
goto end

:copyfailed
set ERRORLEVEL=103
goto end

:deletefailed
set ERRORLEVEL=104
goto end

:success
set ERRORLEVEL=0
goto end


:end
                            


