@echo off
rem ****************************************************** {COPYRIGHT-TOP} ***
rem Licensed Materials - Property of IBM
rem 5724-M07, 5698-A77
rem
rem (C) Copyright IBM Corp. 2006 All Rights Reserved.
rem
rem US Government Users Restricted Rights - Use, duplication, or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ****************************************************** {COPYRIGHT-END} ***

set JARFILE=kd4dcagent.jar
set DESTJARFILE=kd4dcagent-6.0.jar
set WASPREREQ=ibm-jaxrpc-client.jar
set NEWWASPREREQ=ibm-jaxrpc-client-6.0.2.jar

set USERNAME=%4
set PASSWORD=%5

if "%6" == "-list" (
	set LIST_KEY=%6
) else (
	set LIST_KEY=""
)

rem get filen from 8th parameter
set FILE_NAME=%8

rem echo "list_key=%LIST_KEY% file_name=%FILE_NAME%"
set SAVE_CP=%CLASSPATH%  

:useWASCEfromCmdLine
set KD4_WASCE_HOME=%2
goto checkWASCEHome

rem check whether KD4_WASCE_HOME is valid wasce home dir
:checkWASCEHome
set KD4_WASCE_HOME_NO_QM=%~2
if "%KD4_WASCE_HOME_NO_QM%" == "" goto wasce_home_not_set
if "%KD4_WASCE_HOME_NO_QM%" == "-user" goto wasce_home_not_set
if not exist %KD4_WASCE_HOME% goto wasce_home_invalid
if not exist %KD4_WASCE_HOME%\bin goto wasce_home_invalid
if not exist %KD4_WASCE_HOME%\lib goto wasce_home_invalid
if not exist %KD4_WASCE_HOME%\repository goto wasce_home_invalid
if not exist %KD4_WASCE_HOME%\var goto wasce_home_invalid
goto check_enable_type

:wasce_home_not_set
set ERRORLEVEL=180
echo Set The WASCE_HOME environment variable or pass it as a parameter before running the master KD4configDC script.
goto end

:wasce_home_invalid
set ERRORLEVEL=181
echo The WASCE_HOME %KD4_WASCE_HOME% is invalid.
goto end

:check_enable_type
rem use %%~i(delete "" that includs i ) to make sure KD4_WASCE_HOME doesn't have quote mark
FOR /F "usebackq tokens=2 delims==" %%i IN (`set`) DO if %%i==%KD4_WASCE_HOME% set KD4_WASCE_HOME=%%~i
set ENABLE_TYPE=%1

if "%ENABLE_TYPE%" == "-enable" goto enable
if "%ENABLE_TYPE%" == "-disable" goto foundWASCE
GOTO syntaxError


:enable
set JARDIR=%KD4_WASCE_HOME%\repository\KD4\jars
if not exist "%JARDIR%" md "%JARDIR%"
copy /y "%INSTALLDIR%"\KD4\lib\%JARFILE% "%KD4_WASCE_HOME%"\repository\KD4\jars\%DESTJARFILE% > nul
if not "%ERRORLEVEL%"=="0" goto copyfailed
copy /y "%INSTALLDIR%"\KD4\lib\%WASPREREQ% "%KD4_WASCE_HOME%"\repository\KD4\jars\%NEWWASPREREQ% > nul
if not "%ERRORLEVEL%"=="0" goto copyfailed
goto foundWASCE

:copyfailed
echo Can not copy %JARFILE% or %WASPREREQ% to "%KD4_WASCE_HOME%"\repository\KD4\jars, install failed
goto end

:foundWASCE
set WASCE_LIB=%KD4_WASCE_HOME%\lib

set NEW_CP=%INSTALLDIR%\KD4\lib\jlog.jar;%INSTALLDIR%\KD4\lib\kd4dcagent.jar;
set NEW_CP=%NEW_CP%;%WASCE_LIB%\geronimo-kernel-1.0.jar;%WASCE_LIB%\geronimo-deploy-jsr88-1.0.jar;%WASCE_LIB%\geronimo-deployment-1.0.jar;
set NEW_CP=%NEW_CP%;%WASCE_LIB%\mx4j-remote-3.0.1.jar;%WASCE_LIB%\mx4j-3.0.1.jar;%WASCE_LIB%\cglib-nodep-2.1_3.jar;
set NEW_CP=%NEW_CP%;%WASCE_LIB%\commons-logging-1.0.4.jar;%WASCE_LIB%\geronimo-common-1.0.jar;%KD4_WASCE_HOME%\repository\jdom\jars\jdom-1.0.jar
set CLASSPATH=%NEW_CP%

set JAVA_HOME=%INSTALLDIR%\KD4\ibmjava142\jre

set ERRORLEVEL=
%JAVA_HOME%\bin\java com.ibm.management.soa.agent.wasce.install.WASCEDCInstall %ENABLE_TYPE% "%KD4_WASCE_HOME% " %USERNAME% %PASSWORD% %FILE_NAME% %LIST_KEY%

:checkErrorLevel                                                                                                 
IF %ERRORLEVEL%==0 GOTO OK
rem echo The installation utility failed with RC = %ERRORLEVEL%.
GOTO END

:syntaxError
set ERRORLEVEL=100
goto end

:OK
set ERRORLEVEL=0
echo The installation utility completed successfully.
GOTO END
  
:END
set CLASSPATH=%SAVE_CP%
