@echo off
rem ****************************************************** {COPYRIGHT-TOP} ***
rem Licensed Materials - Property of IBM
rem 5724-M07, 5698-A77
rem
rem (C) Copyright IBM Corp. 2006 All Rights Reserved.
rem
rem US Government Users Restricted Rights - Use, duplication, or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ****************************************************** {COPYRIGHT-END} ***
set KD4_HOME_PROPFILE=%SYSTEMROOT%\system32\drivers\etc\KD4BaseDirConfig.properties

rem check if KD4_HOME_PROPFILE exists

:find_kd4_home
if exist %KD4_HOME_PROPFILE% goto kd4_home_dir_name_ok
echo Error: %KD4_HOME_PROPFILE% not found
set KD4_RC=20
goto done

rem 1. read the properties file into an env var.  this should be:
rem     INSTALLDIR=install_location
rem 2. create a temp bat file with "set INSTALLDIR=install_location
rem 3. run the temp bat file to set the INSTALLDIR env var
rem 4. erase the temp bat file
rem
:kd4_home_dir_name_ok

rem following line sets INSTALLDIR_PROP to contents of the prop file
set /p INSTALLDIR_PROP= <  %KD4_HOME_PROPFILE%

rem following line prepends the word "set" to the line read above
rem and writes the result to a temp bat file
echo set %INSTALLDIR_PROP%> %TEMP%\KD4SET.BAT

call %TEMP%\KD4SET.BAT
del %TEMP%\KD4SET.BAT

rem INSTALLDIR now contains the KD4 home dir location.  make sure it exists
if exist %INSTALLDIR% goto kd4_home_dir_ok
if exist "%INSTALLDIR%" goto kd4_home_dir_ok

echo Error: %INSTALLDIR% not found
set KD4_RC=20
goto done

:kd4_home_dir_ok

echo KD4 Home Dir =  %INSTALLDIR%
set DPDC_JARFILE=%INSTALLDIR%\KD4\lib\kd4dpdcagent.jar
set JAVA_HOME=%INSTALLDIR%\KD4\ibmjava142\jre
set JAVA_OPTS=-Djava.protocol.handler.pkgs=com.ibm.net.ssl.www.protocol
set DPDC_CLASS=com.ibm.management.soa.agent.dp.ITMDPDataCollector
set DPDC_CONFIG=%INSTALLDIR%\KD4\config\KD4.dpdcConfig.properties

%JAVA_HOME%\bin\java %JAVA_OPTS% -cp %DPDC_JARFILE% %DPDC_CLASS% %DPDC_CONFIG%
set KD4_RC=%ERRORLEVEL%

:done
set ERRORLEVEL=%KD4_RC%
